//
// Title:   BrushScrollView.h
// Created: Mon Sep 23 13:54:32 2002
// Authors: Mark Pauly
//
// Copyright (c) 2001, 2002, Computer Graphics Lab, ETH Zurich
//
// This file is part of the Pointshop3D system.
// See http://www.pointshop3d.com/ for more information.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public
// License along with this program; if not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
// MA 02111-1307, USA.
//
// Contact info@pointshop3d.com if any conditions of this
// licensing are not clear to you.
//

#ifndef __BRUSHSCROLLVIEW_H_
#define __BRUSHSCROLLVIEW_H_

#include <qscrollview.h>

#include "../../../Interfaces/src/ResourceToolInterface.h"

class BrushScrollView : public QScrollView {


public:

    RESOURCETOOL_API BrushScrollView( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    RESOURCETOOL_API virtual ~BrushScrollView();

};

#endif // __BRUSHSCROLLVIEW_H_

// Some Emacs-Hints -- please don't remove:
//
//  Local Variables:
//  mode:C++
//  tab-width:4
//  End:
