TEMPLATE	= app
CONFIG		= qt thread warn_on release
HEADERS		= UserInterface/AnimationDialogImpl.h \
		  UserInterface/BrushViewer/src/BrushViewerImpl.h \
		  UserInterface/CameraMenu.h \
		  UserInterface/CameraPositionMenu.h \
		  UserInterface/ConfigurationDialogImpl.h \
		  UserInterface/ImageExportDialogImpl.h \
		  UserInterface/PointShopWindow.h \
		  UserInterface/ResourceToolBar.h \
		  UserInterface/StatisticsDialogImpl.h \
		  UserInterface/SurfelPropertiesDialogImpl.h \
		  UserInterface/ToolConfigurationDialog.h \
		  
SOURCES		= UserInterface/AnimationDialogImpl.cpp \
		  UserInterface/BrushViewer/src/BrushViewerImpl.cpp \
		  UserInterface/CameraMenu.cpp \
		  UserInterface/CameraPositionMenu.cpp \
		  UserInterface/ConfigurationDialogImpl.cpp \
		  UserInterface/ImageExportDialogImpl.cpp \
		  UserInterface/PointShopWindow.cpp \
		  UserInterface/ResourceToolBar.cpp \
		  UserInterface/StatisticsDialogImpl.cpp \
		  UserInterface/SurfelPropertiesDialogImpl.cpp \
		  UserInterface/ToolConfigurationDialog.cpp \
                  Main.cpp
		  
INTERFACES	= UserInterface/BrushViewer/UI/BrushViewer.ui \
		  UserInterface/UI/AnimationDialog.ui \
		  UserInterface/UI/ConfigurationDialog.ui \
		  UserInterface/UI/ImageExportDialog.ui \
		  UserInterface/UI/NoFunctionConfigurationWidget.ui \
		  UserInterface/UI/NoToolConfigurationWidget.ui \
		  UserInterface/UI/StatisticsDialog.ui \
		  UserInterface/UI/SurfelPropertiesDialog.ui

TARGET		= PointShop

OBJECTS_DIR     = bin/linux/Release

MOC_DIR		= bin/linux/Release

DESTDIR		= ../bin/linux/Release

unix:LIBS	+= -L../bin/linux/Release -lCore -lDataTypes -lUtilities
